Method: projects.locations.exclusionWindows.list

Lists all exclusion windows in a project and region, or all exclusion windows in a project in all regions if the location is given as "-".

HTTP request

GET https://faulttesting.googleapis.com/v1alpha/{parent=projects/*/locations/*}/exclusionWindows

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location from which to list exclusion windows. Format: projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of exclusion windows to return from this call. The service may return fewer than this value. If unspecified, at most 1000 will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous exclusionWindows.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to exclusionWindows.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for FaultTesting.ListExclusionWindows.

If successful, the response body contains data with the following structure:

JSON representation
{
  "exclusionWindows": [
    {
      object (ExclusionWindow)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
exclusionWindows[]

object (ExclusionWindow)

The exclusion windows from the specified project.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. Locations that could not be reached, each with the format projects/{project}/locations/{location}.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.